package com.ruoyi.ems.service;

import java.util.List;
import com.ruoyi.ems.domain.AdmEmsPvSupplyH;

/**
 * 光伏并网计量光伏并网计量-小时Service接口
 *
 * @author ruoyi
 * @date 2024-08-02
 */
public interface IAdmEmsPvSupplyHService
{
    /**
     * 查询光伏并网计量光伏并网计量-小时
     *
     * @param id 光伏并网计量光伏并网计量-小时主键
     * @return 光伏并网计量光伏并网计量-小时
     */
    public AdmEmsPvSupplyH selectAdmEmsPvSupplyHById(Long id);

    /**
     * 查询光伏并网计量光伏并网计量-小时列表
     *
     * @param admEmsPvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 光伏并网计量光伏并网计量-小时集合
     */
    public List<AdmEmsPvSupplyH> selectAdmEmsPvSupplyHList(AdmEmsPvSupplyH admEmsPvSupplyH);


    public List<AdmEmsPvSupplyH> selectAreaSupplyH(AdmEmsPvSupplyH admEmsPvSupplyH);
    /**
     * 新增光伏并网计量光伏并网计量-小时
     *
     * @param admEmsPvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 结果
     */
    public int insertAdmEmsPvSupplyH(AdmEmsPvSupplyH admEmsPvSupplyH);

    /**
     * 修改光伏并网计量光伏并网计量-小时
     *
     * @param admEmsPvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 结果
     */
    public int updateAdmEmsPvSupplyH(AdmEmsPvSupplyH admEmsPvSupplyH);

    /**
     * 批量删除光伏并网计量光伏并网计量-小时
     *
     * @param ids 需要删除的光伏并网计量光伏并网计量-小时主键集合
     * @return 结果
     */
    public int deleteAdmEmsPvSupplyHByIds(Long[] ids);

    /**
     * 删除光伏并网计量光伏并网计量-小时信息
     *
     * @param id 光伏并网计量光伏并网计量-小时主键
     * @return 结果
     */
    public int deleteAdmEmsPvSupplyHById(Long id);
}
